{%extends "base.html"%}
{% set active_page = "home" %}
{% import "material/utils.html" as util %}
{%block title%}Welcome{%endblock%}
{%block head%}
{{super()}}
<meta name="viewport" content="width=device-width, initial-scale=1.0, minimum-scale=1.0">

<link rel="stylesheet" type="text/css" href="static/graph.css">

{%endblock%}
{%block content%}
{{super()}}
<main class="mdl-layout__content mdl-color--grey-100">
    <script src="{{ url_for('static', filename='d3.v4.min.js') }}"></script>
    <div class="demo-content">
        <div class="mdl-color--white mdl-shadow--2dp mdl-cell mdl-cell--12-col mdl-grid">
                <div class="mdl-layout-spacer mdl-cell--4-col"></div>
            <div class="mdl-cell mdl-cell--8-col">
                <h5><font style="font-weight: bold">SCI-synergy: <font style="color: red">synergy</font><font style="color: blue"> of </font><font style="color: green">science</font></font></h5>
            </div>
            <div class="mdl-cell mdl-cell--12-col">SCI-synergy presents scientific social networks illustrated by Brazilian Graduate Programs</div>
            
            <hr class="header">

            <div class="netstat mdl-cell mdl-cell--12-col mdl-grid bg-gray">

                <p>Available universities and number of researchers</p>
                <div class="demo-content chart mdl-cell mdl-cell--12-col mdl-grid">
                    {%for inst in author_info.keys()%}
                    
                    <div id="donut" viewBox="0 0 1 1" institution="{{inst}}" authors="{{graph_info['seed_count']}}" researchers="{{author_info[inst]}}"></div>
                    {%endfor%}
                </div>
            </div>
            <div class="chart mdl-cell mdl-cell--12-col mdl-grid bg-gray mdl-grid">
                    <div class="mdl-layout-spacer"></div>
                <h5 class="mdl-cell mdl-cell--4-col"><font style="font-weight: bold">SCI-synergy data</font></h5>
                <div class="mdl-layout-spacer"></div>

                <p class="mdl-cell mdl-cell--12-col">Total number of graduate programs researchers: {{graph_info['seed_count']}}</p>
                <p class="mdl-cell mdl-cell--12-col">Total number of authors: {{graph_info['author_count']}}</p>

                <p class="mdl-cell mdl-cell--12-col">Total number of publications: {{graph_info['publication_count']}}</p>
                <ul>
                    {%for type in pub_info.keys()%}
                    <li>{{type}}: {{pub_info[type]}}</li>
                    {%endfor%}
                </ul>
            </div>

            {% if author_info|length > 0 %}
            <script type="text/javascript" src="{{ url_for('static', filename='charts.js') }}"></script>
            {%endif%}

            <div class="collab mdl-cell mdl-cell--12-col mdl-grid bg-gray">
                    <div class="mdl-layout-spacer"></div>
                <h6 class="mdl-cell mdl-cell--8-col"><font style="font-weight: bold">Intra and inter-program collaboration network</font></h5>
                <div class="mdl-layout-spacer"></div>
                <p class="mdl-cell mdl-cell--12-col">The edges present the total number of publications in co-authorship between each two programs.</p>
                <script language="JavaScript">
                        var apiURL = "/interaction.json";
                        var width = 800,
                            height = 400,
                            duration = 750,
                            initial_scale = 1.0,
                            radius = 15;
                    </script>
                <script type="text/javascript" src="{{ url_for('static', filename='graph.js') }}"></script>
                <div id="myGraph"></div>
                
            </div>
            
        </div>
    </div>
</main>
</div>
{%endblock%}